summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@dtucker.net>2018-02-10 10:19:16 +1100
committerDarren Tucker <dtucker@dtucker.net>2018-02-10 10:23:00 +1100
commit9c34a76f099c4e0634bf6ecc2f40ce93925402c4 (patch)
treecab7bf12b562d139ea349e27a7fc007d48befc26
parent04f4e8193cb5a5a751fcc356bd6656291fec539e (diff)
Add support for compat-openssl10 build dep.
-rw-r--r--contrib/redhat/openssh.spec13
1 files changed, 12 insertions, 1 deletions
diff --git a/contrib/redhat/openssh.spec b/contrib/redhat/openssh.spec
index abd7eed6..8ba399b7 100644
--- a/contrib/redhat/openssh.spec
+++ b/contrib/redhat/openssh.spec
@@ -24,13 +24,19 @@
%define gtk2 1
# Use build6x options for older RHEL builds
-# RHEL 7 and Fedora not yet supported
+# RHEL 7 not yet supported
%if 0%{?rhel} > 6
%define build6x 0
%else
%define build6x 1
%endif
+%if 0%{?fedora} >= 26
+%define compat_openssl 1
+%else
+%define compat_openssl 0
+%endif
+
# Do we want kerberos5 support (1=yes 0=no)
%define kerberos5 1
@@ -90,8 +96,12 @@ PreReq: initscripts >= 5.00
Requires: initscripts >= 5.20
%endif
BuildRequires: perl
+%if %{compat_openssl}
+BuildRequires: compat-openssl10-devel
+%else
BuildRequires: openssl-devel >= 1.0.1
BuildRequires: openssl-devel < 1.1
+%endif
BuildRequires: /bin/login
%if ! %{build6x}
BuildRequires: glibc-devel, pam
@@ -413,6 +423,7 @@ fi
%changelog
* Sat Feb 10 2018 Darren Tucker <dtucker@dtucker.net>
- Update openssl-devel dependency to match current requirements.
+- Handle Fedora >=6 openssl 1.0 compat libs.
* Sun Nov 16 2014 Nico Kadel-Garcia <nakdel@gmail.com>
- Add '--mandir' and '--with-mantype' for RHEL 5 compatibility